ranges::v3::view::filter_fn Struct Reference

## Description

Given a source range and a unary predicate, filter the elements that satisfy the predicate.

## Synopsis of methods

constexpr filter_fn | filter {}

## Public Member Functions

template<typename Rng , typename Pred >
remove_if_view< all_t< Rng >, logical_negate< Pred > > | operator() (Rng &&rng, Pred pred) const
template<typename Pred >
auto | operator() (Pred pred) const -> decltype(make_pipeable(std::bind(*this, std::placeholders::_1, protect(std::move(pred)))))